Issue 84305 - Aqua: Better support for Quartz fonts like Zapfino or Chancery
Summary: Aqua: Better support for Quartz fonts like Zapfino or Chancery
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: formatting (show other issues)
Version: OOo 2.3
Hardware: Mac Mac OS X, all
: P3 Trivial (vote)
Target Milestone: ---
Assignee: eric.savary
QA Contact: issues@sw
URL:
Keywords:
Depends on: 78749
Blocks:
  Show dependency tree
 
Reported: 2007-12-06 11:51 UTC by hdu@apache.org
Modified: 2013-08-07 14:42 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2007-12-06 11:51:03 UTC
Some fonts like Zapfino on Mac have enabled some advanced typography features by default. Writer 
doesn't handle this situation yet for non-CTL scripts. Enable support for these features also for non-CTL 
scripts.
Comment 1 hdu@apache.org 2007-12-06 11:55:27 UTC
Fixed in CWS aquavcl04.

@FME: please review
    /cvs/sw/sw/source/core/text/itrform2.cxx 1.100.54.1

Comment 2 hdu@apache.org 2007-12-06 11:58:50 UTC
Added dependency on related issue 78749.

Once the fix for Writer is approved EditEngine should get be fixed similarly.
Comment 3 hdu@apache.org 2007-12-11 10:31:27 UTC
@ES: please verify in CWS aquavcl04
Comment 4 hdu@apache.org 2007-12-13 13:19:39 UTC
Testing hints:
- select the "Zapfino" font
- type "Zapfino"
- watch the cursor movement and reformatting
Ignore:
Writer currently clips everything beyond line ascent and line descent, but Zapfino's bounding boxes 
exceed them
Comment 5 eric.savary 2008-01-09 13:36:08 UTC
Verified in CWS aquavcl04
Comment 6 thorsten.ziehm 2009-07-20 14:53:45 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
http://download.openoffice.org/index.html
If you want to know more about the handling of fixed/verified issues =>
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues